Airincconnector v1.0

Version 1.0

Connector Overview: This page documents all 41 actions for the Airincconnector v1.0.

Assets (11)

GET /assets

/assets

Get a list of assets.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Limit

The max number of assets to return in the response

Cursor

Cursor to the next page of assets

Parentboardid

The parent board ID of the assets to return

Tag

Filter assets by attached tags. If multiple tag=value pairs are provided, only assets with all specified tags will be included.

Response Type

The response format expected from the API (e.g. application/json).

GET /assets/:assetId

/assets/{assetId}

Get an asset

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Response Type

The response format expected from the API (e.g. application/json).

GET /assets/:assetId/boards

/assets/{assetId}/boards

Get the list of parent boards of an asset

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Limit

The max number of parent boards to return in the response

Cursor

Cursor to the next page of parent boards

Includecustomfields

A boolean flag to include custom fields with the results (default: false)

Assetid

the id of the asset

Response Type

The response format expected from the API (e.g. application/json).

PUT /assets/:assetId/customfields/:customFieldId

/assets/{assetId}/customfields/{customFieldId}

Set custom field value(s) on an asset

Body

  • values - an array of objects containing the id of the custom field value to set (used for single-select and multi-select)

  • value - a string containing the value to set (used for plain-text and date)

To unset a custom field on an asset, set the relavant property above to null

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Customfieldid

the id of the custom field

Response Type

The response format expected from the API (e.g. application/json).

GET /assets/:assetId/versions

/assets/{assetId}/versions

Get a list of asset versions associated with an asset.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

The id of the asset

Response Type

The response format expected from the API (e.g. application/json).

GET /assets/:assetId/versions/:versionId

/assets/{assetId}/versions/{versionId}

Get an asset version associated with an asset

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Versionid

the id of the version

Response Type

The response format expected from the API (e.g. application/json).

PATCH /assets/:assetId/versions/:versionId

/assets/{assetId}/versions/{versionId}

Update an asset version

Body

  • title - the title of the version

  • description - the description of the version

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Versionid

the id of the version

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Title

The new title to assign to the asset version.

Description

The new description to assign to the asset version.

GET /assets/:assetId/versions/:versionId/download

/assets/{assetId}/versions/{versionId}/download

Get the download URL of an asset version

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Versionid

the id of the version

Response Type

The response format expected from the API (e.g. application/json).

POST /assets/:assetId/versions/:versionId/tags

/assets/{assetId}/versions/{versionId}/tags

Add one or more tags to an asset version

Body

  • id - the id of the tag to add to the version

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Versionid

the id of the version

Response Type

The response format expected from the API (e.g. application/json).

DELETE /assets/:assetId/versions/:versionId/tags/:tagId

/assets/{assetId}/versions/{versionId}/tags/{tagId}

Delete a tag from an asset version

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

the id of the asset

Versionid

the id of the version

Tagid

the id of the tag

Response Type

The response format expected from the API (e.g. application/json).

DELETE /assets/:assetId1

/assets/{assetId}

Delete an asset

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Assetid

The unique identifier of the asset to delete.

Response Type

The response format expected from the API (e.g. application/json).

Boards (12)

GET /boards

/boards

Get the list of boards defined in an Air workspace.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Name

Free text board name search filter

Limit

Limits the number of boards items to return in the response

Cursor

Cursor returned in the previous page of responses used to get the next page of results

Parentboardid

Used when navigating immediate child sub boards in a board hierarchy

Response Type

The response format expected from the API (e.g. application/json).

POST /boards

/boards

Create a board at the top-level of the workspace or as a child of another board

Body

  • title - the title of the board

  • description - the description of the board

  • parentBoardId (optional) - the id of the parent board that this board will be a child of

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

GET /boards/:boardId

/boards/{boardId}

Get a board

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Response Type

The response format expected from the API (e.g. application/json).

POST /boards/:boardId/assets

/boards/{boardId}/assets

Associates one or more assets to a board

Body

  • assetIds - an array of assetIds to associate with the board

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

The unique identifier of the board where the asset will be created.

Response Type

The response format expected from the API (e.g. application/json).

DELETE /boards/:boardId/assets/:assetId

/boards/{boardId}/assets/{assetId}

Removes an asset from a board

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Assetid

the id of the asset

Response Type

The response format expected from the API (e.g. application/json).

PUT /boards/:boardId/customfields/:customFieldId

/boards/{boardId}/customfields/{customFieldId}

Assign value(s) for a custom field on a board

Body

  • values - a list of objects with the id of the value to be set on the board for the custom field (used with single-select and multi-select custom fields)

  • value - the string value to be set for the custom field on the board (used with plain-text and date custom fields)

To clear

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Customfieldid

the id of the custom field

Response Type

The response format expected from the API (e.g. application/json).

GET /boards/:boardId/guests

/boards/{boardId}/guests

Get the list of guests of the board.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Email

(optional) to filter with email

Boardid

the id of the board

Response Type

The response format expected from the API (e.g. application/json).

POST /boards/:boardId/guests

/boards/{boardId}/guests

Add a guest to the board.

Body

  • email - email address of the user to be added as guest

  • roleId - id of the role to be associated with the guest

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Response Type

The response format expected from the API (e.g. application/json).

PATCH /boards/:boardId/guests/:guestId

/boards/{boardId}/guests/{guestId}

Change the role of a guest.

Body

  • roleId - id of the role to be associated with the guest

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Guestid

the id of the guest

Response Type

The response format expected from the API (e.g. application/json).

DELETE /boards/:boardId/guests/:guestId1

/boards/{boardId}/guests/{guestId}

Remove a guest from the board.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Guestid

the id of the guest

Response Type

The response format expected from the API (e.g. application/json).

PATCH /boards/:boardId1

/boards/{boardId}

Update one or more properties on a board

Body

  • title - the title of the board

  • description - the description of the board

  • parentBoardId - the parent board this board is a child of

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Response Type

The response format expected from the API (e.g. application/json).

DELETE /boards/:boardId2

/boards/{boardId}

Delete a board and any assets that are only contained in this board or its direct descendant boards.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Boardid

the id of the board

Response Type

The response format expected from the API (e.g. application/json).

Custom Fields (8)

GET /customfields

/customfields

List custom fields

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Name

Free text search for custom field names matching criteria

Limit

The number of records returned

Cursor

The cursor returned to from previous page of results

Response Type

The response format expected from the API (e.g. application/json).

POST /customfields

/customfields

Create a custom field

Body

  • name - the name of the custom field

  • description - the description of the custom field

  • type - the type of the custom field

  • values - the values of a single-select or multi-select custom field

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

GET /customfields/:customFieldId

/customfields/{customFieldId}

Get a custom field

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

The id of the custom field

Response Type

The response format expected from the API (e.g. application/json).

POST /customfields/:customFieldId:/values

/customfields/{customFieldId}/values

Add a new value to a single-select or multi-select custom field.

Body

  • name - the name of the custom field value

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

the id of the custom field

Response Type

The response format expected from the API (e.g. application/json).

PATCH /customfields/:customFieldId:/values/:valueId

/customfields/{customFieldId}/values/{valueId}

Update one or more properties on a value

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

the id of the custom field

Valueid

the id of the custom field value

Response Type

The response format expected from the API (e.g. application/json).

DELETE /customfields/:customFieldId:/values/:valueId1

/customfields/{customFieldId}/values/{valueId}

Delete a value off of a custom field

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

the id of the custom field

Valueid

the id of the custom field value to delete

Response Type

The response format expected from the API (e.g. application/json).

PATCH /customfields/:customFieldId:1

/customfields/{customFieldId}

Update one or more properties on a custom field

Body

  • name - the name of the custom field

  • description - the description of the custom field

\*type is immutable due to workflows being built on top of custom fields

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

The id of the custom field to update

Response Type

The response format expected from the API (e.g. application/json).

DELETE /customfields/:customFieldId:2

/customfields/{customFieldId}

Delete a custom field

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Customfieldid

The id of the custom field to update

Response Type

The response format expected from the API (e.g. application/json).

Imports (2)

POST /imports

/imports

Create an import of an asset or asset version from a public URL.

Request Body

  • sourceUrl - the URL to get the file content. The URL needs to be publicly accessible.

  • fileName (optional) - the name of the file. If not provided then it will be determined from the URL.

  • ext (optional) - the extension of the file. If not provided then the ext will be pulled from the URL or defaulted to .file

  • recordedAt (optional) - when the file was created. If not provided the servers current time will be used.

  • assetId (optional) - the parent asset to create a new version for this file under.

  • parentBoardId (optional) - the parent board to create the asset under.

  • customFields (optional) - the list of custom fields and values to assign to the asset.

  • tags (optional) - the list of tags to assign to the asset version.Response

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

GET /imports/:importId/status

/imports/{importId}/status

Retrieve the status of a specific import by providing the import ID in the URL.

Request

  • Method: GET

  • URL: https://api.air.inc/v1/imports/:importId/status

Response

The body of the response will contain a JSON object with "status" and also "error" if the import is failed.

  • status:

  • pending - the import is waiting to be scheduled.

  • inProgress - the import is in progress.

  • failed - the import has failed.

  • succeeded - the import completed.

  • error: An object containing the error type and message if the import failed.

  • SOURCE_FILE_NOT_FOUND - the file is not found from source Url when executing task.

  • SOURCE_URL_BLOCKED - the source URL is to be blocked by the block rules.

  • SOURCE_URL_INVALID - the file URL returns 4xx, 5xx errors.

  • PROCESS_TIMED_OUT - exceeded the maximum amount of time allowed

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Importid

The unique identifier of the import whose status to retrieve.

Response Type

The response format expected from the API (e.g. application/json).

Roles

GET /roles

/roles

Get the list of guest roles available in a workspace.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Type

(required) to filter the roles by type

Response Type

The response format expected from the API (e.g. application/json).

Tags (4)

GET /tags

/tags

List tags in the workspace

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Name

Free text search for tag names matching criteria

Limit

The number of records returned

Cursor

The cursor returned to from previous page of results

Response Type

The response format expected from the API (e.g. application/json).

POST /tags

/tags

Create a new tag

Body

  • name - the name of the tag

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

PATCH /tags/:tagId

/tags/{tagId}

Update one or more properties on a tag

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Tagid

the id of the tag

Response Type

The response format expected from the API (e.g. application/json).

DELETE /tags/:tagId1

/tags/{tagId}

Delete a tag

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Tagid

the id of the tag

Response Type

The response format expected from the API (e.g. application/json).

Uploads (3)

POST /uploads

/uploads

Upload an asset to a workspace

Body

  • fileName - the name of the file

  • ext - the extension of the file

  • size - the size of the file

  • mime - the mime of the file

  • recordedAt - when the file was created

  • parentBoardId (optional) - the parent board to create the asset under

  • assetId (optional) - the parent asset to create a new version for this file under

  • customFields (optional) - the list of custom fields and values to assign to the asset

  • tags (optional) - the list of tags to assign to the asset version

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (8)

Option Name

Description

Filename

The name of the file to upload.

Ext

The file extension of the upload.

Size

The size of the file in bytes.

Mime

The MIME type of the file.

Recordedat

The timestamp when the file was recorded.

Parentboardid

The identifier of the board to associate with the upload.

Assetid

The identifier of an existing asset to attach the upload to.

Tags

A list of tags to apply to the upload.

POST uploads/completeMultipart

/completeMultipart

Complete a large file upload

Body

  • multiPartUploadId - the upload id returned from POST /uploads

  • key - the key returned from POST /uploads

  • parts - an array of objects containing the etag (retuned from file upload) and partNumber for each chunk

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Multipartuploadid

The identifier of the multipart upload to complete.

Key

The object key for the completed upload.

POST uploads/uploadPart

/uploads/uploadPart

Create a part upload url

Body

  • multiPartUploadId - upload id returned from POST /uploads

  • key - key returned from POST /uploads

  • partNumber - the number associated with the chunk being uploaded

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Multipartuploadid

The identifier of the multipart upload this part belongs to.

Key

The object key for the part upload.

Partnumber

The sequential number of the part being uploaded.